Subject: Re: bug#46834: 28.0.50; byte-compiling the standard counter closure fails

From: Stefan Monnier <[email-masked]>
Date: Mon, 01 Mar 2021 12:01:38 -0500

>> > That said, the comment in byte-compile--reify-function is incorrect:
>> [ I don't see which comment you're referring to.  ]
> The docstring, sorry. It says the return value evaluates to FUN, which
> is incorrect (but, IMHO at least, this behavior is desirable and
> consistent, at least, with the way byte-compile changes string
> identities).

Ah, that.  Yes, we could clarify that it's not 100% equivalent, but it's
an internal function anyway.  The doc there is only intended to explain
what the function is supposed to do.

> I agree, it is repulsive. I wasn't going to mention it for that reason
> :-) (Also for the reason that I wasn't sure whether anything would
> break out of the cl-symbol-macrolet jail (no luck so far...))

I'm not quite sure it'll always get it right, indeed, tho I think
it should.

        Stefa